%global npm_name keygrip

Summary:       Key signing and verification for rotated credentials
Name:          nodejs-%{npm_name}
Version:       1.0.1
Release:       2%{?dist}
License:       MIT
URL:           https://github.com/expressjs/keygrip
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Keygrip is a node.js module for signing and verifying data 
(such as cookies or URLs) through a rotating credential system, 
in which new server keys can be added and old ones removed 
regularly, without invalidating client credentials.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json test.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc README.md LICENSE.txt
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com>
- spec change: npmname -> npm_name

* Wed Sep 09 2015 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Initial package
